package cn.amq.traffic;

import java.util.ArrayList;
import java.util.List;

import cn.im.trafficalarm.model.TrafficaccidentinfoBean;

public class Alarm2AlarmWorkTableService {

	Object mutex = new Object();
	
	private List<TrafficaccidentinfoBean> alarm2AlarmWorkTableDataList = new ArrayList();

	public List<TrafficaccidentinfoBean> getAlarm2AlarmWorkTableDataList() {
		synchronized (mutex) {
			List<TrafficaccidentinfoBean> tempList = new ArrayList();
			tempList = alarm2AlarmWorkTableDataList;
			alarm2AlarmWorkTableDataList = new ArrayList();
			return tempList;
		}
	}

	public void setAlarm2AlarmWorkTableDataListListAdd(List<TrafficaccidentinfoBean> ls) {
		synchronized (mutex) {
			if (alarm2AlarmWorkTableDataList != null) {
				alarm2AlarmWorkTableDataList.addAll(ls);
			}
		}
	}
}
